## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTJEnum

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode<T>
              org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember<T>
                  org.eclipse.emf.codegen.merge.java.facade.ast.ASTJAbstractType<org.eclipse.jdt.core.dom.EnumDeclaration>
                      org.eclipse.emf.codegen.merge.java.facade.ast.ASTJEnum

All Implemented Interfaces:
  JAbstractType, JEnum, JMember, JNode

    public class ASTJEnum

extends ASTJAbstractType<org.eclipse.jdt.core.dom.EnumDeclaration>
implements JEnum

Field Summary
`protected java.util.List<java.lang.String>` `addedSuperInterfaces` List of added interfaces by calling `addSuperInterface(String)`.
`protected java.lang.String[]` `superInterfaces` Array of cached super interfaces.

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`comment`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode
`isCommentedOut, name, rewriter, UNITIALIZED_STRING`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`ASTJEnum(org.eclipse.jdt.core.dom.EnumDeclaration enumDeclaration)`

Method Summary
`boolean` `addChild(ASTJNode<?> child)` Adds a child to this node.
`void` `addSuperInterface(java.lang.String superInterface)` Adds an interface to the list of interfaces.
`void` `dispose()`
`java.util.List<JNode>` `getChildren()` Returns the list of children.
`protected java.util.List<JNode>` `getEnumConstants()`
`java.lang.String[]` `getSuperInterfaces()` Returns ordered array of super interfaces as declared in source in "implements" clause.
`boolean` `insertSibling(ASTJNode<?> node, ASTJNode<?> newSibling, boolean before)` Inserts `newSibling` as a child of this node before or after the given `node`.
`boolean` `remove(ASTJNode<?> node)` Removes the node.
`void` `setSuperInterfaces(java.lang.String[] superInterfaces)` Sets ordered super interfaces array of super interfaces to the given array.

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJAbstractType
`computeQualifiedName, getMembers, getName, setName`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`getAnnotationList, getComment, getFlags, insertLastAnnotation, setComment, setFlags`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode

`addValueToListProperty, addValueToListProperty, ancestorInserted, ancestorToBeRemoved, childToBeChanged, combineArrayAndList, commentOut, convertASTNodeListToStringArray, disableTrackAndReplace, enableTrackAndReplace, getASTNode, getContents, getFacadeHelper, getParent, getRemovedASTNode, getRewriter, getWrappedObject, insert, insertFirst, insertLast, isDisposed, nodeToBeMoved, nodeToBeRemoved, remove, removeNodeFromListProperty, removeTrackAndReplace, setASTNode, setFacadeHelper, setListNodeProperty, setNodeProperty, setNodeProperty, setParent, setRemovedASTNode, setRewriter, setTrackedNodeProperty, setWrappedObject, trackAndReplace`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Field Detail

### addedSuperInterfaces

    protected java.util.List<java.lang.String> addedSuperInterfaces

  List of added interfaces by calling `addSuperInterface(String)`. This list does not include existing interfaces, nor interfaces set by `setSuperInterfaces(String[])`

### superInterfaces

    protected java.lang.String[] superInterfaces

  Array of cached super interfaces. All currently set super interfaces is a combination of this array and `addedSuperInterfaces`.

Constructor Detail

### ASTJEnum

    public ASTJEnum(org.eclipse.jdt.core.dom.EnumDeclaration enumDeclaration)

Parameters:
  `enumDeclaration` -

Method Detail

### dispose

    public void dispose()

  Overrides:
    `dispose` in class `ASTJMember<org.eclipse.jdt.core.dom.EnumDeclaration>`

### addSuperInterface

    public void addSuperInterface(java.lang.String superInterface)

  Description copied from interface: `JEnum`
  Adds an interface to the list of interfaces.

  Specified by:
    `addSuperInterface` in interface `JEnum`

### getSuperInterfaces

    public java.lang.String[] getSuperInterfaces()

  Description copied from interface: `JEnum`
  Returns ordered array of super interfaces as declared in source in "implements" clause.

  Specified by:
    `getSuperInterfaces` in interface `JEnum`
  Returns:
    array of interfaces, empty array if none

### setSuperInterfaces

    public void setSuperInterfaces(java.lang.String[] superInterfaces)

  Description copied from interface: `JEnum`
  Sets ordered super interfaces array of super interfaces to the given array.

  Specified by:
    `setSuperInterfaces` in interface `JEnum`

### insertSibling

    public boolean insertSibling(ASTJNode<?> node,
                                 ASTJNode<?> newSibling,
                                 boolean before)

  Description copied from class: `ASTJNode`
  Inserts `newSibling` as a child of this node before or after the given `node`.

  Default implementation does nothing and returns `false`.

  Overrides:
    `insertSibling` in class `ASTJAbstractType<org.eclipse.jdt.core.dom.EnumDeclaration>`
    `newSibling` - to insert
    `before` - `true` if `newSibling` must be before `node`, `false` if after
  Returns:
    `true` if operation successful, `false` otherwise

### addChild

    public boolean addChild(ASTJNode<?> child)

  Description copied from class: `ASTJNode`
  Adds a child to this node.

  Default implementation does nothing and returns `false`.

  Overrides:
    `addChild` in class `ASTJAbstractType<org.eclipse.jdt.core.dom.EnumDeclaration>`
  Parameters:
    `child` - to add
  Returns:
    `true` if operation successful, `false` otherwise

### remove

    public boolean remove(ASTJNode<?> node)

  Description copied from class: `ASTJAbstractType`
  Removes the node. Node must be a child of ASTJType.

  This implementation supports moving the nodes by calling `ASTJAbstractType.remove(ASTJNode)` and then `ASTJAbstractType.insertSibling(ASTJNode, ASTJNode, boolean)` or `ASTJAbstractType.addChild(ASTJNode)`.

  Overrides:
    `remove` in class `ASTJAbstractType<org.eclipse.jdt.core.dom.EnumDeclaration>`
  Parameters:
    `node` - must be a child of this node
  Returns:
    `true` if operation successful, `false` otherwise
  See Also:
    `ASTJNode.remove(ASTJNode)`

### getChildren

    public java.util.List<JNode> getChildren()

  Description copied from class: `ASTJAbstractType`
  Returns the list of children.

  Specified by:
    `getChildren` in interface `JNode`
  Overrides:
    `getChildren` in class `ASTJAbstractType<org.eclipse.jdt.core.dom.EnumDeclaration>`
  Returns:
    a list of the children
  See Also:
    `FacadeHelper.convertToNode(Object)`, `AbstractJNode.getChildren()`

### getEnumConstants

    protected java.util.List<JNode> getEnumConstants()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.